package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.OrderPar;
import com.zfire.jiasm.syncdata.plus.entity.ItfMessagehuifangentity;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignUpload;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzAssignLcLsUpload;
import com.zfire.jiasm.syncdata.plus.entity.OrderBase;
import org.apache.ibatis.annotations.Param;

/**
 * 工单基础表 Mapper 接口
 * @author yaozx
 * @since 2023-02-28
 */
public interface GDOrderBaseMapper extends BaseMapper<OrderBase> {

    @SqlParser(filter = true)
    ItfTblAzAssignLcLsUpload getAZOrderBase(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfTblAssignUpload getItfTblAssignUpload(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfMessagehuifangentity getItfMessagehuifangentity(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfMessagehuifangentity getAZItfMessagehuifangentity(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfMessagehuifangentity getItfMessagehuifangentityT(@Param("request") OrderPar request);
}
