package com.zfire.jiasm.syncdata.constant;




import lombok.Getter;

public class Constant {

    //校验的token
    public static final String TOKEN_NAME = "x-token";

    public final static String TOKEN = "authorization_token";

    public final static String SALES_TYPE_GCJ = "工程机";
    //京东商城
    public final static String SALES_JD = "京东商城";
    //天猫
    public final static String SALES_TM = "天猫旗舰店";

    //家用空调
    public final static Integer MAIN_ID_101 = 101;
    public final static String MAIN_NUMBER_101 = "101";
    //空气能热水器
    public final static Integer MAIN_ID_103 = 103;
    public final static String MAIN_NUMBER_103 = "103";
    //生活电器
    public final static Integer MAIN_ID_104 = 104;
    public final static String MAIN_NUMBER_104 = "104";
    //冰箱
    public final static Integer MAIN_ID_106 = 106;
    public final static String MAIN_NUMBER_106 = "106";
    //洗衣机
    public final static Integer MAIN_ID_140 = 140;
    //涉安费-维修奖励倍数
    public final static double SAF_REPAIR = 1.2;
    //涉安费-安装惩罚倍数
    public final static double SAF_INSTALL = 2;

    /**
     * 认证服务的serviceid
     */
    public static final String AUTH_SERVICE = "material-server";

    /**
     * 商城后台serviceid
     */
    public static final String MALL_AUTH_SERVICE = "mall-manager-service";

    //短信验证码过期时间
    public static final Integer SMS_EXPIRE = 10 * 60;

    public class RedisPrefix{

        public final static String TOKEN = "SETTLE:TOKEN";
        public final static String TOKEN_GREE ="SETTLE:TOKEN:GREE";
        public final static String TOKEN_GREE_FILE ="SETTLE:TOKEN:FILE";
        public final static String TOKEN_GREE_IMAGE ="SETTLE:TOKEN:GREE:IMAGE";
        public final static String TOKEN_GREE_V3 ="SETTLE:TOKEN:GREE:V3";
        public final static String LOCK_PRE = "SETTLE:LOCK:PRE";
        public final static String WORK_TOKEN = "SETTLE:WORK:TOKEN";
        public final static String LOCK_BILL = "SETTLE:LOCK:BILL";
        public final static String SIGN = "SETTLE:MALL:";
        public final static String TOKEN_ADMIN_ID = "gz:java:admin:cookieMapId:";
        public final static String LOCK_INVOLVE_CHECK = "SETTLE:lock:involve:check";
        public final static String LOCK_EQUIPMENT_CHECK = "SETTLE:lock:equipment:check";
        public final static String LOCK_SATISFACTION_CHECK = "SETTLE:lock:satisfaction:check";
        public final static String LOCK_DIRECTOR_CHECK = "SETTLE:lock:director:check";
        public final static String LOCK_CODE_CHECK = "SETTLE:lock:CODE:check";
        public final static String LOCK_EQUIPMENT_ADD_CHECK = "SETTLE:lock:equipment:add:check";
        //维修日结汇总
        public final static String LOCK_DAILY_SUMMARY = "SETTLE:LOCK:DAILY:SUMMARY";
        public final static String CACHE_AREA = "SETTLE:CACHE:AREA";
        public final static String BALANCE_SEL_MOBILE_SMS = "SETTLE:BALANCE:SMS";
        public final static String ISSUE_SAL_MOBILE_SMS = "SETTLE:ISSUE:SMS";
        public final static String SMS = "SENDMSG:SMS";

        public final static String LOCK_SUMMARY_ISSUE = "SETTLE:lock:issue:summary";

        //同步辅材商品
        public final static String CACHE_GOODS = "SETTLE:CACHE:GOODS";

        //同步辅材分类
        public final static String CACHE_CATEGORY = "SETTLE:CACHE:CATEGORY";

        public final static String TOKEN_EQUIPMENT_CODE = "SETTLE:token:equipment:code";

        public final static String TOKEN_GONGDAN = "SETTLE:TOKEN_GONGDAN:TOKEN";

        public final static String  ORDER_NUM = "SETTLE:ORDER_NUM:GEN";
    }

    public class GreeApiPath{
        //根据条码查询机型
        public final static String JIXIN = "/outapp/installAccounts/az/wgmx/jixin";
        //校验内外机条码是否为一套条码
        public final static String MATCH = "/outapp/installAccounts/az/wgmx/barcode/match";
        //旧机回收工单推送接口
        public final static String RECYCLE_ASSIGN = "/outapp/recycle/assign";
        //旧机回收工单采集信息获取接口
        public final static String RECYCLE_ACQUISITION = "/outapp/recycle/acquisition";
        //采集信息上传接口
        public final static String RECYCLE_ACQUISITION_UPLOAD = "/outapp/recycle/acquisitionUpload";
        //旧机出入库信息回传接口
        public final static String OLD_MACHINE_MESSAGE = "/outapp/recycle/oldMachineMessage";
        //回收工单状态回传接口
        public final static String RECYCLE_STATUS = "/outapp/recycle/status";
        //回收工单状态接口
        public final static String RECYCLE_STATUS_ACT = "/outapp/recycle/statusAct";
        //回收工单详情获取接口
        public final static String RECYCLE_ASSIGN_DETAIL = "/outapp/recycle/assignDetail";
        //查询未同步的退换货工单接口
        public final static String REFUND_JYKT_UNSYN_LIST = "/outapp/thh/jykt/unsyn/list";
        //销司同步退换货工单接口
        public final static String REFUND_JYKT_SYN = "/outapp/thh/jykt/syn";
        //获取退换货工单详情接口
        public final static String REFUND_JYKT_DETAIL = "/outapp/thh/jykt/detail";
        //旧机出入库信息回传接口
        public final static String RECYCLE_STOCK_GETSTOCK = "/outapp/recycle/stock/getStock";
        //入库操作
        public final static String RECYCLE_STOCK_STOCKIN = "/outapp/recycle/stock/stockIn";
        //出库操作
        public final static String RECYCLE_STOCK_STOCKOUT = "/outapp/recycle/stock/stockOut";
        //获取机型码对应信息
        public final static String ACCESSORIES_GETMATERIALBYBARCODE = "/getmaterialbybarcode";
        //根据物料代码获取物料信息详情
        public final static String ACCESSORIES_GETACCESSORIESDETAIL = "/getaccessoriesdetail";
        //批量新增待入库单
        public final static String RECYCLE_STOCK_STOCKINFOS = "/outapp/recycle/stock/stockInfos";
        //确认入库
        public final static String RECYCLE_STOCK_STOCKINCONFIRM = "/outapp/recycle/stock/stockInConfirm";
        //批量新增待入库单(与回收工单共用同一个接口)
        public final static String TRADE_NEW_FOR_OLD_STOCK_STOCKINFOS = "/outapp/recycle/stock/stockInfos";
        //总部app扫描入库后同步库存状态到广佛
        public final static String RECYCLE_STOCK_UPDATEFLAG = "/outapp/recycle/stock/updateFlag";
        //确认出库
        public final static String RECYCLE_STOCK_STOCKOUTCONFIRM = "/outapp/recycle/stock/stockOutConfirm";
    }

    @Getter
    public enum SynStatus{

        UN_SYN(0, "未同步"),
        SYN(1, "已同步"),
        SYN_FEEDBACK(44, "已同步反馈明细"),
        SYN_ACQUISITION(66, "已同步采集数据"),
        FAIL(99, "同步失败");

        private Integer code;
        private String name;
        private SynStatus(Integer code, String name) {
            this.code = code;
            this.name = name;
        }
    }

    @Getter
    public enum GreeSynStatus{
        //    	未同步
        UN_SYN(0),
        //    	已同步
        SYN(1),
        //    	同步失败
        FAIL(99);

        private Integer code;
        private GreeSynStatus(Integer code) {
            this.code = code;
        }
    }

    public class GreeWebPath{
        //格力商城-以旧换新 鉴定单采集 -广佛系统回传
        public final static String TBLYJHXJDD_COLLECTION = "/tblyjhxjdd/collection";
        //格力商城-以旧换新 查询所有驳回的鉴定单
        public final static String TBLYJHXJDD_QUERYREJECTJDD = "/tblyjhxjdd/queryRejectJdd";


    }

    //回收工单同步请求记录表 表名
    public class TradeOldForNewType{
        //以旧换新鉴定单
        public final static String YJHX_JDD = "fa_yjhx_jdd" ;
    }

    //回收工单同步请求记录表 表名
    public class RecycleOrderType{
        public final static String RECYCLE_ASSIGN = "fa_order_recycle_assign" ;
        public final static String RECYCLE_ASSIGN_MX ="fa_order_recycle_assign_mx" ;
        public final static String RECYCLE_ASSIGN_FKMX = "fa_order_recycle_assign_fkmx" ;
        public final static String RECYCLE_ASSIGN_EXPAND = "fa_order_recycle_assign_expand";
        public final static String RECYCLE_ASSIGN_WORKER = "fa_order_recycle_assign_worker";
        public final static String RECYCLE_ASSGIN_COLLECTION = "fa_order_recycle_assign_collection";
        public final static String RECYCLE_ASSIGN_COLLECTION_MACHINE =  "fa_order_recycle_assign_collection_machine";
        public final static String RECYCLE_ASSIGN_ANNEX = "fa_order_recycle_assign_annex";
        public final static String RECYCLE_ASSIGN_STOCK_IN = "fa_order_recycle_assign_stock_in";
        public final static String RECYCLE_ASSIGN_STOCK_OUT = "fa_order_recycle_assign_stock_out";
    }
}
